import request from '@/utils/request'

// 查询商铺管理列表
export function listShop(query) {
  return request({
    url: '/management/shop/list',
    method: 'get',
    params: query
  })
}

// 查询商铺管理详细
export function getShop(shopId) {
  return request({
    url: '/management/shop/' + shopId,
    method: 'get'
  })
}

// 新增商铺管理
export function addShop(data) {
  return request({
    url: '/management/shop',
    method: 'post',
    data: data
  })
}

// 修改商铺管理
export function updateShop(data) {
  return request({
    url: '/management/shop',
    method: 'put',
    data: data
  })
}

// 删除商铺管理
export function delShop(shopId) {
  return request({
    url: '/management/shop/' + shopId,
    method: 'delete'
  })
}

// 导出商铺管理
export function exportShop(query) {
  return request({
    url: '/management/shop/export',
    method: 'get',
    params: query
  })
}


// 导出商铺管理
export function shopSelect() {
    return request({
      url: '/management/shop/select',
      method: 'get'
    })
  }